Bug 124582 - Change drop-down item "Outline Numbering" to "Chapter Numbering" in dialog Paragraph Style
Summary: Change drop-down item "Outline Numbering" to "Chapter Numbering" in dialog Pa...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:7.2.0
Keywords:
Depends on:
Blocks: Paragraph-Dialog
  Show dependency treegraph
 
Reported: 2019-04-06 22:13 UTC by Roman Kuznetsov
Modified: 2021-03-25 22:56 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-04-06 22:13:04 UTC
Description:
Change drop-down item "Outline Numbering" to "Chapter Numbering" in dialog Paragraph Style on tab Outline & Numbering
Because we don't have Outline Numbering dialog and menu item. It's "Chapter Numbering" now

Steps to Reproduce:
1. Open Writer
2. Open Style section in Sidebar
3. Right click on "Heading 1" style
4. Select "Modify" item in context menu
5. In "Paragraph Style" dialog go to tab "Outline & Numbering"
6. Look at non active "Numbering style" drop-down list with "Outline Numbering" on it
7. If you move mouse point on drop-down you'll see tooltip with a reason for disabling of drop-down list like "This option is disabled when >>>chapter numbering<<< is assigned to a paragraph style".

Actual Results:
We have wrong legend on non active "Numbering style" drop-down list

Expected Results:
We have right legend on non active "Numbering style" drop-down list


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Regina Henschel 2019-04-07 12:09:49 UTC
Do you know where the string is?
Comment 2 Roman Kuznetsov 2019-04-07 12:36:47 UTC
(In reply to Regina Henschel from comment #1)
> Do you know where the string is?

No, there are many strings with "Outline numbering" in source code. I have not penetrated yet
Comment 3 Commit Notification 2019-06-02 17:43:19 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7d49e64c2aad701d2903af8a451a31d90005d257%5E%21

tdf#124582 Change Outline Numbering to Chapter Numbering

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-06-04 07:29:45 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/51c0985d861f90ffb363659f2194d573df07f0bb%5E%21

tdf#124582 Change Outline Numbering to Chapter Numbering

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Heiko Tietze 2019-06-04 07:46:49 UTC
Maybe some changes are needed for the help.
Comment 6 Commit Notification 2019-06-05 12:47:18 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/1ae3459c9c2983eb3718927da090670c702d44a3%5E%21

tdf#124582 Change Outline to Chapter in Help page
Comment 7 Commit Notification 2019-06-16 23:21:20 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/help/+/b4d17dac5a2cfd37d21ecd5a4b3323aa16107a38%5E%21

tdf#124582 Change Outline to Chapter in Help page
Comment 8 sdc.blanco 2021-03-19 14:29:25 UTC
Reopening in relation to the commit to help in comment 6.  

I believe it was a mistake to change "Chapter" to "Outline" in that patch.
It should be reverted.

Here is the affected page: https://help.libreoffice.org/7.2/en-US/text/swriter/guide/insert_tab_innumbering.html
Comment 9 Dieter 2021-03-19 15:07:40 UTC
(In reply to sdc.blanco from comment #8)
> Reopening in relation to the commit to help in comment 6.  
> 
> I believe it was a mistake to change "Chapter" to "Outline" in that patch.
> It should be reverted.

I agree, but I also think that the original problem has been solved. And so we can close this bug and solve the help probem in a different bug (like we did in bug 139667 or - if you prefer - in a new report)
Comment 10 sdc.blanco 2021-03-19 15:13:51 UTC
(In reply to Dieter from comment #9)
> I agree, but I also think that the original problem has been solved. And so
> we can close this bug and solve the help probem in a different bug (like we
> did in bug 139667 or - if you prefer - in a new report)
Just wanted to confirm and document the revert, but did not know the proper protocol.
No preference about how to proceed. Will follow your recommendation.
Comment 11 Dieter 2021-03-19 17:06:02 UTC
(In reply to sdc.blanco from comment #10)
> Just wanted to confirm and document the revert, but did not know the proper
> protocol.
> No preference about how to proceed. Will follow your recommendation.

So I would close it and if you commit a patch in bug 139667 you can add an information here.

And of course I can verify, that original bug report has been fixed in 7.1.2.1

=> VERIFIED FIXED
Comment 12 Commit Notification 2021-03-25 22:56:09 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/6f068cc382d085ade3ef7177cc06859fcce1cf2c

tdf#139667 tdf#141128 (tdf#124582 tdf#135895) num. lists,levels,styles